Menu
Blog Web & Mobile

Pourquoi migrer votre site WordPress sur PHP7 ? | Agence WordPress

Pourquoi PHP7.2 est il désormais recommandé pour les sites Web WordPress ?
  • Note des lecteurs
  • Rated 5 stars
    5 / 5 (4 )
  • Votre note


Pourquoi PHP7.2 est il désormais recommandé pour les sites Web WordPress ?

Le système de gestion de contenu open-source WordPress (CMS – Content Management System) affichera prochainement des avertissements dans son panneau d’administration à destination des administrateurs de site si le site fonctionne sur une version PHP périmée.

 

La décision de commencer à afficher cet avertissement a été prise en décembre 2018, après la sortie de la version WordPress 5.0. Les statistiques de mise à jour compilées quelques jours après la sortie de WP 5.0 ont révélé que 85 % des utilisateurs de WordPress 5.0 utilisaient des versions PHP 5.6 et ultérieures, donc seul un petit sous-ensemble de la communauté WordPress active verra de fait ces avertissements apparaitre sur leurs écrans.

 

WordPress est un système de gestion de contenu open-source, qui utilise un certain nombre de langages de programmation pour fonctionner. L’un de ces langages est PHP. La version PHP utilisée sur votre site est importante !

 

PHP est un langage de programmation open-source que WordPress utilise pour exécuter des fonctions internes et traiter les informations de la base de données. Il est installé directement sur votre serveur web et géré par votre hébergeur web. PHP est un projet vivant, et comme WordPress, il est constamment mis à jour et corrigé pour les bogues et les failles de sécurité. Les nouvelles versions de PHP corrigent ces vulnérabilités et optimisent le traitement et la diffusion du contenu de votre site Web.

 

Cela signifie concrètement que la version PHP sur laquelle tourne votre site web affecte directement la sécurité, la vitesse et les performances de votre site. Depuis juin 2017, WordPress recommande officiellement l’utilisation de PHP version 7.2 ou supérieure. D’après certaines études, 40 % des internautes quitteraient un site internet lorsque l’affichage dépasse 3 secondes, alors prenons quelques minutes  pour comprendre les enjeux.

 

Les 5 principales raisons pour lesquelles PHP 7.2 est fortement recommandée pour WordPress 

  • Le support pour PHP 7.0 et les versions inférieures se termine officiellement dans 5 mois. Comme tout autre logiciel, au fur et à mesure que de nouvelles versions sont publiées, le support des anciennes versions est abandonné à mesure que de plus en plus de personnes mettent à jour. Les versions plus anciennes sont maintenues avec des correctifs de sécurité pendant un certain temps (entre 1 et 2 ans), pour donner à chacun la possibilité de mettre à jour. Toutefois, ce soutien à la sécurité prendra officiellement fin en décembre. Et quand il le fera, tous les sites exécutant ces anciennes versions seront sensibles aux vulnérabilités de sécurité PHP, y compris les sites WordPress !
  • Un site WordPress sur PHP7+ sera plus rapide et la vitesse de chargement affecte aujourd’hui le classement de votre site dans les moteurs de recherche et vos conversion ! Les tests comparatifs montrent que PHP 7+ peut traiter 2 à 3 fois le nombre de requêtes en 5.6. PHP 7.0 a supprimé de nombreuses fonctions obsolètes qui ralentissaient les anciennes versions, ce qui le rendait plus efficace que jamais, et la 7.2 va encore plus loin. Cette nouvelle version allégée de PHP permet à votre site de se charger et de répondre beaucoup plus rapidement que les versions précédentes. Par exemple, PHP 7.2 peut servir jusqu’à 3x plus de requêtes par seconde et gérer plus de trafic avec le même nombre de ressources. Il peut gérer les visites de site non mises en cache 2 à 3 fois plus vite que PHP 5.5. 
  • Une meilleure sécurité. PHP 5.x a eu des centaines de problèmes de sécurité qui ont été corrigés avec le temps. Si votre site utilise une version antérieure de PHP, certaines de ces vulnérabilités peuvent encore être présentes ! Et les cybercriminels sont très conscients de ces vulnérabilités – ils recherchent en fait des sites qui utilisent ces versions antérieures pour pouvoir lancer des attaques faciles. Une grande partie de la flak que WordPress obtient pour « être incertain » est due aux serveurs et aux sites qui utilisent encore des versions non corrigées de PHP. Jetez un coup d’oeil : PHP 5.4 n’a pas été mis à jour depuis 2015 – donnant aux pirates 3 années entières pour découvrir et exploiter des vulnérabilités qui pourraient ne jamais être corrigées sur les sites s’y exécutant. PHP 7 a également introduit de nouvelles fonctions de sécurité, y compris un hachage et un cryptage renforcés pour le stockage des données sensibles, et une meilleure fonctionnalité pour identifier le contenu potentiellement dangereux (comme les injections de code malveillant).
  • Amélioration de l’efficacité du traitement. Cette version allégée et plus efficace de PHP signifie une amélioration significative du traitement du code sur le serveur : jusqu’à 75% de réduction du nombre de commandes émises lors de l’exécution d’une seule tâche. C’est énorme ! Mais qu’est-ce que cela signifie pour VOTRE site internet ? Votre serveur dispose d’une quantité définie de mémoire disponible pour exécuter PHP sur votre site. Les fichiers de base, de thème et de plugin WordPress nécessitent tous des quantités variables de cette mémoire pour fonctionner ; plus la tâche est complexe, plus la mémoire requise est importante. Et lorsqu’ils atteignent cette limite de mémoire sur votre serveur, l’écran blanc de la mort apparaît avec un message d’erreur laid. Bref, la mise à jour vers PHP 7.2 nécessite beaucoup moins de mémoire, ce qui permet à plus de choses cool de se passer sur votre site.
  • Des normes de développement plus strictes. Dans le passé, PHP a été assez laxiste dans la façon dont les développeurs pouvaient l’utiliser, ce qui a abouti à une tonne de mauvaises pratiques de programmation à tous les niveaux. Les versions antérieures de PHP permettaient aux développeurs d’écrire du code avec des failles de sécurité et des problèmes qui pouvaient ralentir les performances de votre site. PHP 7 et les versions supérieures, cependant, exigent un niveau de codage plus élevé de la part de ses développeurs. Bien que WordPress ait des exigences spécifiques pour tous les thèmes et plugins hébergés sur WordPress.org, cela ne s’applique pas aux nombreux plugins payants et commerciaux qui sont disponibles dans la nature. Forcer ces meilleures pratiques de programmation en PHP 7 signifie une meilleure qualité, un code plus performant.

 

WordPress va vous avertir sur les versions PHP obsolètes (avant de sévir). En synthèse, il est peut-être temps de migrer votre site WordPress sous PHP7. Nous sommes à votre écoute.

 

 

 

Nous contacter

 

 

 

 

Démarrons votre projet